> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/users/update-legal-user-sca/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # Update a Legal User (SCA) PUT https://api.sandbox.mangopay.com/v2.01/{ClientId}/sca/users/legal/{UserId} Content-Type: application/json Modify details for a Legal Payer or Owner without changing category. **Caution – Modification may trigger SCA re-enrollment** If `UserCategory` is `OWNER`, modifying the following values changes `UserStatus` to `PENDING_USER_ACTION` and requires [re-enrollment in SCA](/guides/sca/users#re-enroll-an-enrolled-owner) using the returned `PendingUserAction.RedirectUrl`: * `LegalRepresentative.Email` * `LegalRepresentative.PhoneNumber` * `LegalRepresentative.PhoneNumberCountry` In Sandbox, you can bypass SCA by including the word `accept` in the Legal User's `LegalRepresentative.Email` – for example `accept@example.com` or `john.doe+accept@example.com`. **Caution – Modification may cause KYC/B verification downgrade** If `KYCLevel` is `REGULAR`, modifying the following values triggers a [verification downgrade](/guides/users/verification/downgrade) to `LIGHT`: * `LegalRepresentative.FirstName` * `LegalRepresentative.LastName` * `LegalRepresentative.Birthday` * `LegalRepresentative.Nationality` * `LegalPersonType` **Note – Country-based restrictions apply to users** Due to Mangopay's [country restrictions](/guides/users/country-restrictions), it is not possible to use blocked countries as the following: * `HeadquartersAddress.Country` * `LegalRepresentative.Nationality` * `LegalRepresentative.CountryOfResidence` * `LegalRepresentativeAddress.Country` Reference: https://docs.mangopay.com/api-reference/users/update-legal-user-sca ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `UserId` (string, required) ### Body (application/json) This endpoint expects an UpdateALegalUserSCARequest. - `UpdateALegalUserSCARequest` ## Response ### 200 Success - `Name` (string, optional) — Max. length: 255 characters The registered legal name of the entity. The `Name` value should be the one registered with the relevant national authority. - `LegalPersonType` (string, optional) — **Returned values:** BUSINESS, PARTNERSHIP, ORGANIZATION, SOLETRADER The type of legal user. For information on which `LegalPersonType` to use for a particular local legal structure, see the verification requirements. **Caution:** Modification of the `LegalPersonType` may result in a verification downgrade. - `LegalRepresentative` (LegalRepresentative_Response, optional) — Information about the legal representative declared for the user. - `ProofOfRegistration` (string, optional, nullable) — The `Id` of the KYC Document whose `Type` is `REGISTRATION_PROOF` if validated for the user. If no registration proof is validated, then this value is `null`. - `ShareholderDeclaration` (string, optional, nullable) — The `Id` of the KYC Document whose `Type` is `SHAREHOLDERS_DECLARATION` if validated for the user. If no Shareholder Declaration is validated, then this value is `null`. - `Statute` (string, optional, nullable) — The `Id` of the KYC Document whose `Type` is `ARTICLES_OF_ASSOCIATION` if validated for the user. If no articles of association document is validated, then this value is `null`. - `CompanyNumber` (string, optional, nullable) — Required if `UserCategory` is `OWNER` and `LegalPersonType` is `BUSINESS`. Returned `null` if `UserCategory` is `PAYER`. The registration number of the entity, assigned by the relevant national authority. For information on the expected format for a specific country, see the [Company number](/guides/users/verification/company-number) guide. To validate the format of a number before submitting documents for verification, use [POST Validate the format of User data](/api-reference/user-data-format/validate-user-data-format). - `PendingUserAction` (LegalUserScaResponsePendingUserAction, optional, nullable) — Object containing the `RedirectUrl` needed for SCA redirection if triggered by the API call (otherwise returned `null`). - `HeadquartersAddress` (LegalUserScaResponseHeadquartersAddress, optional) — The legally registered address of the entity's administrative center. This object's sub-parameters are `null` if the `UserCategory` is `PAYER`. - `LegalRepresentativeAddress` (LegalUserScaResponseLegalRepresentativeAddress, optional) — The address of the entity's legal representative. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `PersonType` (string, optional) — **Returned values:** NATURAL, LEGAL The type of the user: - `NATURAL` – Natural users are individuals (natural persons). - `LEGAL` – Legal users are legal entities (legal persons) like companies, non-profits, and sole proprietors. The `PersonType` is defined by the endpoint used to create the user and can't be modified. - `Email` (string, optional) — Format: A valid email address The email address for the entity. - `KYCLevel` (string, optional) — **Default value:** `LIGHT` **Returned values:** `LIGHT`, `REGULAR` The verification status of the user set by Mangopay: - `LIGHT` – Unverified, assigned by default to all users. - `REGULAR` – Verified, meaning the user has successfully completed the verification process and had the necessary documents validated by Mangopay. Only users whose `UserCategory` is `OWNER` can submit verification documents for validation. Only users whose `KYCLevel` is `REGULAR` can request payouts. - `TermsAndConditionsAccepted` (boolean, optional) — Whether the user has accepted Mangopay's terms and conditions (as defined by your contract, see the [T&Cs guide](/guides/users/terms) for details). Must be `true` if `UserCategory` is `OWNER`. - `TermsAndConditionsAcceptedDate` (integer, optional, nullable) — The date and time at which the `TermsAndConditionsAccepted` value was set to `true`. Returned `null` if `UserCategory` is `PAYER`. - `UserCategory` (string, optional) — **Possible values:** `PAYER`, `OWNER`, `PLATFORM` The [category](/guides/users/categories) of the user: - `PAYER` – User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers). - `OWNER` – User who can also receive transfers to their wallets. Owners are able to request [KYC verification](/guides/users/verification), which if successful gives them the `KYCLevel` of `REGULAR` and the ability to request payouts. - `PLATFORM` – Single specific user that represents the platform. The `PLATFORM` value is only assigned by Mangopay and may be used as part of the validated workflow implemented by the platform. - `UserStatus` (string, optional) — **Returned values:** `PENDING_USER_ACTION`, `ACTIVE`, `CLOSED` The status of the user: - `PENDING_USER_ACTION` – The user must enroll in SCA before they can become `ACTIVE`. - `ACTIVE` – The user account is active and the user can access Mangopay features. - `CLOSED` – The user account is permanently closed. This value is used by Mangopay to close an account following the procedure outlined in the terms and conditions. ## Errors ### 400 Bad Request Error Bad Request - `Message` (string, optional) — Description of the error. - `Type` (string, optional) — The category of the error. - `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support. - `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered. - `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors. ### 403 Forbidden Error Forbidden - `Message` (string, optional) — Description of the error. - `Type` (string, optional) — The category of the error. - `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support. - `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered. - `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors. ## Types ### UpdateLegalPayerSCARequest Request body for updating a Legal User with `UserCategory` `PAYER`. - `TermsAndConditionsAccepted` (boolean, required) — Whether the user has accepted Mangopay's terms and conditions (as defined by your contract, see the [T&Cs guide](/guides/users/terms) for details). Must be `true` if `UserCategory` is `OWNER`. - `UserCategory` (string, required) — **Allowed values:** `PAYER` The [category](/guides/users/categories) of the user: - `PAYER` – User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers). - `OWNER` – User who can also receive transfers to their wallets. Owners are able to request [KYC verification](/guides/users/verification), which if successful gives them the `KYCLevel` of `REGULAR` and the ability to request payouts. - `Name` (string, optional) — Max. length: 255 characters The registered legal name of the entity. The `Name` value should be the one registered with the relevant national authority. - `LegalPersonType` (string, optional) — **Allowed values:** BUSINESS, PARTNERSHIP, ORGANIZATION, SOLETRADER The type of legal user. For information on which `LegalPersonType` to use for a particular local legal structure, see the verification requirements. **Caution:** Modification of the `LegalPersonType` may result in a verification downgrade. - `LegalRepresentative` (LegalRepresentative_UpdatePayer_Request, optional) — Information about the legal representative declared for the user. - `LegalRepresentativeAddress` (Address_SubPropsRequired, optional) — The postal address. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `Email` (string, optional) — Format: A valid email address The email address for the entity. ### UpdateLegalOwnerSCARequest Request body for updating a Legal User with `UserCategory` `OWNER`. Modifying `LegalRepresentative.Email`, `LegalRepresentative.PhoneNumber` or `LegalRepresentative.PhoneNumberCountry` requires re-enrollment in SCA via the `PendingUserAction.RedirectUrl` returned. - `TermsAndConditionsAccepted` (boolean, required) — Whether the user has accepted Mangopay's terms and conditions (as defined by your contract, see the [T&Cs guide](/guides/users/terms) for details). Must be `true` if `UserCategory` is `OWNER`. - `UserCategory` (string, required) — **Allowed values:** `OWNER` The [category](/guides/users/categories) of the user: - `PAYER` – User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers). - `OWNER` – User who can also receive transfers to their wallets. Owners are able to request [KYC verification](/guides/users/verification), which if successful gives them the `KYCLevel` of `REGULAR` and the ability to request payouts. - `Name` (string, optional) — Max. length: 255 characters The registered legal name of the entity. The `Name` value should be the one registered with the relevant national authority. - `LegalPersonType` (string, optional) — **Allowed values:** BUSINESS, PARTNERSHIP, ORGANIZATION, SOLETRADER The type of legal user. For information on which `LegalPersonType` to use for a particular local legal structure, see the verification requirements. **Caution:** Modification of the `LegalPersonType` may result in a verification downgrade. - `LegalRepresentative` (LegalRepresentative_UpdateOwner_Request, optional) — Information about the legal representative declared for the user. - `LegalRepresentativeAddress` (Address_SubPropsRequired, optional) — The postal address. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `Email` (string, optional) — Format: A valid email address The email address for the entity. - `CompanyNumber` (string, optional) — Required if `UserCategory` is `OWNER` and `LegalPersonType` is `BUSINESS`. Returned `null` if `UserCategory` is `PAYER`. The registration number of the entity, assigned by the relevant national authority. For information on the expected format for a specific country, see the [Company number](/guides/users/verification/company-number) guide. To validate the format of a number before submitting documents for verification, use [POST Validate the format of User data](/api-reference/user-data-format/validate-user-data-format). - `HeadquartersAddress` (UpdateLegalOwnerScaRequestHeadquartersAddress, optional) — Required if `UserCategory` is `OWNER`. Child parameters returned `null` if `UserCategory` is `PAYER`. The legally registered address of the entity's administrative center. - `ScaContext` (string, optional) — **Possible values:** `USER_PRESENT`, `USER_NOT_PRESENT` **Default value:** `USER_PRESENT` The SCA context of the request, which is **required** if the user's `UserCategory` is `OWNER`: * `USER_PRESENT` – The user is taking the SCA-triggering action of updating account information and must re-enroll in SCA . The platform must [redirect the user](/guides/sca/session) using the `PendingUserAction.RedirectUrl` returned so that the user can complete the SCA session. * `USER_NOT_PRESENT` – The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, then `USER_NOT_PRESENT` returns a 403 error. Read more about [managing proxy and user consent](/guides/sca/proxy-management) **→** **Note:** On User endpoints, `ScaContext` is not returned in the API response as it does not form part of the User data – it's only related to the action being performed on the user. ### LegalRepresentative_Response Information about the legal representative declared for the user. - `FirstName` (string, optional) — Min. length: 1; max. length: 100 The first name of the individual. - `LastName` (string, optional) — Min. length: 1; max. length: 100 The last name of the individual. - `ProofOfIdentity` (string, optional, nullable) — The `Id` of the KYC Document whose `Type` is `IDENTITY_PROOF` if validated for the user. If no identity proof is validated, then this value is `null`. - `Birthday` (integer, optional, nullable) — Returned `null` if `UserCategory` is `PAYER`. The date of birth of the individual. **Note:** This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before. - `Nationality` (string, optional, nullable) — Returned `null` if `UserCategory` is `PAYER`. The nationality of the individual. - `CountryOfResidence` (string, optional, nullable) — Returned `null` if `UserCategory` is `PAYER`. The country of residence of the individual. - `Email` (string, optional, nullable) — Format: A valid email address Required if `UserCategory` is `OWNER`. Returned `null` if `UserCategory` is `PAYER`. The individual's email address. For `OWNER` users, SCA uses this email address to build a [behavioral biometrics profile](/guides/sca/factors#email-confirmation-behavioral-biometrics) and as a backup communication channel. - `PhoneNumberCountry` (string, optional, nullable) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) Required if the `PhoneNumber` is provided in local format (recommended), to render the value in the E.164 standard. - `PhoneNumber` (string, optional, nullable) — Format: International E.164 standard (preceded by plus sign and country code) or local format The individual's phone number. The local format (recommended) requires `PhoneNumberCountry` to ensure correct formatting. If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates. For users with `UserCategory` `OWNER` , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API. ### LegalUserScaResponsePendingUserAction Object containing the `RedirectUrl` needed for SCA redirection if triggered by the API call (otherwise returned `null`). - `RedirectUrl` (string, optional) — The URL to which to redirect the user to perform strong customer authentication (SCA) via a Mangopay-hosted webpage. This value is a variable and should not be hardcoded. The SCA session link expires 10 minutes after it's generated. **Caution:** Before redirecting the user on this URL, you must add the query parameter `ReturnUrl` with the percent-encoded URL to which you want the SCA session to return the user after authentication (whether successful or not). For more details, see [How to redirect a user for an SCA session](/guides/sca/session#how-to-redirect-a-user-for-sca). ### LegalUserScaResponseHeadquartersAddress The legally registered address of the entity's administrative center. This object's sub-parameters are `null` if the `UserCategory` is `PAYER`. - `AddressLine1` (string, optional, nullable) — Max. length: 255 characters The first line of the address. - `AddressLine2` (string, optional, nullable) — Max. length: 255 characters The second line of the address. - `City` (string, optional, nullable) — Max. length: 255 characters The city of the address. - `Region` (string, optional, nullable) — Max. length: 255 characters The region of the address. This field is optional except if the `Country` is US, CA, or MX. - `PostalCode` (string, optional, nullable) — Max. length: 255 characters The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, optional, nullable) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. ### LegalUserScaResponseLegalRepresentativeAddress The address of the entity's legal representative. - `AddressLine1` (string, optional, nullable) — Max. length: 255 characters The first line of the address. - `AddressLine2` (string, optional, nullable) — Max. length: 255 characters The second line of the address. - `City` (string, optional, nullable) — Max. length: 255 characters The city of the address. - `Region` (string, optional, nullable) — Max. length: 255 characters The region of the address. This field is optional except if the `Country` is US, CA, or MX. - `PostalCode` (string, optional, nullable) — Max. length: 255 characters The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, optional, nullable) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. ### LegalRepresentative_UpdatePayer_Request Information about the legal representative declared for the user. - `FirstName` (string, optional) — Min. length: 1; max. length: 100 The first name of the individual. - `LastName` (string, optional) — Min. length: 1; max. length: 100 The last name of the individual. - `Email` (string, optional) — Format: A valid email address The individual's email address. **Caution:** If `UserCategory` is `OWNER`, modifying this value means the user will be required to re-enroll the new value in SCA via the `PendingUserAction.RedirectUrl`. For more details see the [SCA guides](/guides/sca/users). - `PhoneNumber` (string, optional) — Format: International E.164 standard (preceded by plus sign and country code) or local format The individual's phone number. The local format (recommended) requires `PhoneNumberCountry` to ensure correct formatting. If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates. For users with `UserCategory` `OWNER` , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API. - `PhoneNumberCountry` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) Required if the `PhoneNumber` is provided in local format (recommended), to render the value in the E.164 standard. ### Address_SubPropsRequired The postal address. - `AddressLine1` (string, required) — The first line of the address. - `City` (string, required) — The city of the address. - `PostalCode` (string, required) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. - `AddressLine2` (string, optional) — The second line of the address. - `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address. ### LegalRepresentative_UpdateOwner_Request Information about the legal representative declared for the user. - `FirstName` (string, optional) — Min. length: 1; max. length: 100 The first name of the individual. - `LastName` (string, optional) — Min. length: 1; max. length: 100 The last name of the individual. - `Email` (string, optional) — Format: A valid email address The individual's email address. **Caution:** If `UserCategory` is `OWNER`, modifying this value means the user will be required to re-enroll the new value in SCA via the `PendingUserAction.RedirectUrl`. For more details see the [SCA guides](/guides/sca/users). - `PhoneNumber` (string, optional) — Format: International E.164 standard (preceded by plus sign and country code) or local format The individual's phone number. The local format (recommended) requires `PhoneNumberCountry` to ensure correct formatting. If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates. For users with `UserCategory` `OWNER` , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API. - `PhoneNumberCountry` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) Required if the `PhoneNumber` is provided in local format (recommended), to render the value in the E.164 standard. - `Birthday` (integer, optional) — Required if `UserCategory` is `OWNER`. Returned `null` if `UserCategory` is `PAYER`. The date of birth of the individual. **Note:** This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before. - `Nationality` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) Required if `UserCategory` is `OWNER`. Returned `null` if `UserCategory` is `PAYER`. The nationality of the individual. - `CountryOfResidence` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) Required if `UserCategory` is `OWNER`. Returned `null` if `UserCategory` is `PAYER`. The country of residence of the individual. ### UpdateLegalOwnerScaRequestHeadquartersAddress Required if `UserCategory` is `OWNER`. Child parameters returned `null` if `UserCategory` is `PAYER`. The legally registered address of the entity's administrative center. - `AddressLine1` (string, required) — Max. length: 255 characters The first line of the address. - `City` (string, required) — Max. length: 255 characters The city of the address. - `PostalCode` (string, required) — Max. length: 255 characters The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, required) — The country of the address. - `AddressLine2` (string, optional) — Max. length: 255 characters The second line of the address. - `Region` (string, optional) — Max. length: 255 characters Required if `Country` is US, CA, or MX. The region of the address. ## Examples ### Payer **Request** ```json { "body": { "Tag": "New tag", "TermsAndConditionsAccepted": false, "UserCategory": "PAYER" } } ``` **Response** ```json { "Name": "Alex Smith", "LegalPersonType": "SOLETRADER", "LegalRepresentative": { "FirstName": "Alex", "LastName": "Smith", "ProofOfIdentity": null, "Birthday": null, "Nationality": null, "CountryOfResidence": null, "Email": null, "PhoneNumberCountry": null, "PhoneNumber": null }, "ProofOfRegistration": null, "ShareholderDeclaration": null, "Statute": null, "CompanyNumber": null, "PendingUserAction": null, "HeadquartersAddress": { "AddressLine1": null, "AddressLine2": null, "City": null, "Region": null, "PostalCode": null, "Country": null }, "LegalRepresentativeAddress": { "AddressLine1": "3 rue de la Cité", "AddressLine2": "Appartement 7", "City": "Paris", "Region": "Île-de-France", "PostalCode": "75004", "Country": "FR" }, "Id": "user_m_01JF7FKVP51PS3TYKCN79VZZ8M", "Tag": "Updated using the Mangopay API Postman collection", "CreationDate": 1734344306, "PersonType": "LEGAL", "Email": "alex.smith.services@example.com", "KYCLevel": "LIGHT", "TermsAndConditionsAccepted": false, "TermsAndConditionsAcceptedDate": null, "UserCategory": "PAYER", "UserStatus": "ACTIVE" } ``` ### Owner **Request** ```json { "body": { "Tag": "New tag", "TermsAndConditionsAccepted": true, "UserCategory": "OWNER" } } ``` **Response** ```json { "Name": "Alex Smith", "LegalPersonType": "SOLETRADER", "LegalRepresentative": { "FirstName": "Alex", "LastName": "Smith", "ProofOfIdentity": null, "Birthday": 652117514, "Nationality": "FR", "CountryOfResidence": "FR", "Email": "alex.smith@example.com", "PhoneNumberCountry": "FR", "PhoneNumber": "0611111111" }, "ProofOfRegistration": null, "ShareholderDeclaration": null, "Statute": null, "CompanyNumber": "123456789", "PendingUserAction": null, "HeadquartersAddress": { "AddressLine1": "3 rue de la Cité", "AddressLine2": "Appartement 7", "City": "Paris", "Region": "Île-de-France", "PostalCode": "75004", "Country": "FR" }, "LegalRepresentativeAddress": { "AddressLine1": "3 rue de la Cité", "AddressLine2": "Appartement 7", "City": "Paris", "Region": "Île-de-France", "PostalCode": "75004", "Country": "FR" }, "Id": "user_m_01JF7FKVP51PS3TYKCN79VZZ8M", "Tag": "Updated using the Mangopay API Postman collection", "CreationDate": 1734344306, "PersonType": "LEGAL", "Email": "alex.smith.services@example.com", "KYCLevel": "LIGHT", "TermsAndConditionsAccepted": true, "TermsAndConditionsAcceptedDate": 1734344306, "UserCategory": "OWNER", "UserStatus": "PENDING_USER_ACTION" } ``` **SDK Code** ```ruby Owner require 'mangopay' MangoPay.configure do |client| client.preproduction = true client.client_id = 'your-mangopay-client-id' client.client_apiKey = 'your-mangopay-api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end def updateLegalUserSca(legalUserScaId, legalUserScaObject) begin response = MangoPay::LegalUserSca.update(legalUserScaId, legalUserScaObject) puts response return response rescue MangoPay::ResponseError => error puts "Failed to update User: #{error.message}" puts "Error details: #{error.details}" return false end end myLegalUserSca = { Tag: 'New tag', TermsAndConditionsAccepted: true } updateLegalUserSca('user_m_01K85WZZWDYTG4AKT2P0NH954Y', myLegalUserSca) ``` ```csharp Owner using MangoPay.SDK; using MangoPay.SDK.Entities.PUT; using Newtonsoft.Json; public class UpdateLegalUserSca { public void Run() { Task.Run(async () => { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var userId = "user_m_01K8AZMW2X4HWC02XVWXXSH86T"; var myUser = new UserLegalScaPutDTO { TermsAndConditionsAccepted = true, Tag = "Updated tag" }; var updatedUser = await api.Users.UpdateLegalAsync(myUser, userId); string prettyPrint = JsonConvert.SerializeObject(updatedUser, Formatting.Indented); Console.WriteLine(prettyPrint); }).GetAwaiter().GetResult(); } } ``` ```php Owner Config->ClientId = 'your-client-id'; $api->Config->ClientPassword = 'your-mangopay-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $user = $api->Users->GetLegalSca('user_m_01K892WTEN9AM7EFS2CYY9NVYQ'); $user->Tag = 'Updated tag'; $user->TermsAndConditionsAccepted = true; $response = $api->Users->UpdateSca($user); print_r($response); } catch (MGPResponseException $e) { print_r($e); } catch (MGPException $e) { print_r($e); } ``` ```javascript Owner const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-client-id', clientApiKey: 'your-api-key', }) let myLegalUser = { Id: 'user_m_01HYJVHY77NDDM97TQP57W87MH', HeadquartersAddress: { AddressLine1: '57 Main Road', AddressLine2: null, City: 'London', PostalCode: 'NW1 4RG', Country: 'GB', }, LegalRepresentativeAddress: { AddressLine1: '35 London Road', AddressLine2: null, City: 'London', PostalCode: 'NW1 0AA', Country: 'GB', }, Name: 'Executive Consulting', LegalPersonType: 'BUSINESS', LegalRepresentativeFirstName: 'Juliana', LegalRepresentativeLastName: 'Dunn', LegalRepresentativeEmail: 'juliana.dunn@example.com', LegalRepresentativeBirthday: 188301600, LegalRepresentativeNationality: 'GB', LegalRepresentativeCountryOfResidence: 'GB', CompanyNumber: '12345678', Tag: 'Created using the Mangopay NodeJS SDK', Email: 'executive.consulting@example.com', TermsAndConditionsAccepted: true, UserCategory: 'OWNER', PersonType: 'LEGAL', LegalSca: true, } const updateLegalUser = async (legalUser) => { return await mangopay.Users.update(legalUser) .then((response) => { console.info(response) return response }) .catch((err) => { console.log(err) return false }) } updateLegalUser(myLegalUser) ```